org.eclipse.microprofile.jwt.tck.util

## Enum SignatureAlgorithm

- java.lang.Object
- - java.lang.Enum<SignatureAlgorithm>
  - - org.eclipse.microprofile.jwt.tck.util.SignatureAlgorithm

All Implemented Interfaces:
  Serializable, Comparable<SignatureAlgorithm>

    public enum SignatureAlgorithm
    extends Enum<SignatureAlgorithm>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ES256` ECDSA using P-256 and SHA-256
`RS256` RSASSA-PKCS1-v1_5 using SHA-256

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getAlgorithm()`
`static SignatureAlgorithm` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SignatureAlgorithm[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RS256

    public static final SignatureAlgorithm RS256

RSASSA-PKCS1-v1_5 using SHA-256

#### ES256

    public static final SignatureAlgorithm ES256

ECDSA using P-256 and SHA-256

### Method Detail

#### values

    public static SignatureAlgorithm[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SignatureAlgorithm c : SignatureAlgorithm.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SignatureAlgorithm valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getAlgorithm

    public String getAlgorithm()